Bug 625820 - Authentication Not working as expected
Authentication Not working as expected
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
unspecified
All Linux
low Severity urgent
: ---
: ---
Assigned To: Mike McCune
wes hayutin
:
Depends On:
Blocks: pulp-verified
  Show dependency treegraph
 
Reported: 2010-08-20 10:29 EDT by Pradeep Kilambi
Modified: 2011-08-16 09:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-16 09:58:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pradeep Kilambi 2010-08-20 10:29:14 EDT
Description of problem:


Register a consumer:

$ sudo pulp-client consumer create -u admin -p admin --id=foobar
 Successfully created Consumer [ foobar ]

Make sure you have a repo synced:

$ sudo pulp-admin repo list -u admin -p admin
+-------------------------------------------+
    List of Available Repositories 
+-------------------------------------------+

Label              	test-errata              
Name               	test-errata              
Feed               	{u'url': u'http://download.fedora.devel.redhat.com/pub/fedora/linux/updates/13/i386/', u'type': u'yum', u'supported_types': [u'yum', u'local', u'rhn']}
Arch               	noarch                   
Sync Schedule      	None                     
Packages           	/repositories/test-errata/packages/

Bind to this repo:

$ sudo pulp-client consumer bind -u admin -p admin --repoid=test-errata
"Authorization Failure.  Check your username and password or your Certificate"

$ sudo pulp-client consumer bind --repoid=test-errata
"Authorization Failure.  Check your username and password or your Certificate"

$ sudo pulp-admin consumer bind --repoid=test-errata --id=foobar -u admin -p admin
"Authorization Failure.  Check your username and password or your Certificate"

Additional Info:

I also tried creating the consumer using the script and get the same error.
Comment 1 Mike McCune 2010-08-20 18:06:20 EDT
fixed in : 350b7ac20fc8e723b44f0a5c4ae4182099f37c75
Comment 2 Preethi Thomas 2010-09-21 12:38:25 EDT
verified
[root@preethi ~]# rpm -q zsh
zsh-4.3.10-5.fc13.x86_64
[root@preethi ~]# rpm -qa  |grep pulp
pulp-client-0.0.65-1.fc13.noarch
pulp-common-0.0.65-1.fc13.noarch
pulp-0.0.65-1.fc13.noarch
[root@preethi ~]# 
[root@preethi ~]# 
[root@preethi ~]# 
[root@preethi ~]# pulp-client consumer create -u admin -p admin --id=foobar
 Successfully created consumer [ foobar ]
[root@preethi ~]# 
[root@preethi ~]# 
[root@preethi ~]# pulp-admin repo list -u admin -p admin
+-------------------------------------------+
    List of Available Repositories 
+-------------------------------------------+

Label                   f12_i386-5               
Name                    f12                      
Feed                    {u'url': u'file:///var/mypackages/', u'type': u'local', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    i386                     
Sync Schedule           None                     
Packages                0                        
Files                   0                        


Label                   local-repo               
Name                    f12                      
Feed                    {u'url': u'file:///var/mypackages/', u'type': u'local', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    i386                     
Sync Schedule           None                     
Packages                0                        
Files                   0                        


Label                   local-repo-1             
Name                    local                    
Feed                    {u'url': u'file:///root/rpm-dir/', u'type': u'local', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    noarch                   
Sync Schedule           None                     
Packages                0                        
Files                   0                        


Label                   f13                      
Name                    f13                      
Feed                    {u'url': u'http://download.devel.redhat.com/released/F-13/GOLD/Fedora/x86_64/os/', u'type': u'yum', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    x86_64                   
Sync Schedule           None                     
Packages                3102                     
Files                   8                        


Label                   f12_x86_64               
Name                    f12                      
Feed                    {u'url': u'http://download.devel.redhat.com/released/F-12/GOLD/Fedora/x86_64/os/', u'type': u'yum', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    x86_64                   
Sync Schedule           None                     
Packages                2998                     
Files                   8                        

[root@preethi ~]# pulp-client consumer bind -u admin -p admin --repoid=f13
 Successfully subscribed consumer [foobar] to repo [f13]
[root@preethi ~]# 
[root@preethi ~]# pulp-client consumer bind --repoid=f13
"Authorization failed. Check your username and password or your certificate"
[root@preethi ~]# 
[root@preethi ~]# 
[root@preethi ~]# pulp-admin consumer bind -u admin -p admin --repoid=f13
consumer id required. Try --help
[root@preethi ~]# pulp-admin consumer bind -u admin -p admin --id=foobar --repoid=f13
 Successfully subscribed consumer [foobar] to repo [f13]
Comment 3 Preethi Thomas 2011-08-16 09:58:34 EDT
Closing with Community Release 15

pulp-0.0.223-4.

Note You need to log in before you can comment on or make changes to this bug.